
QGIS Application - Bug report #16473

Virtual layer: QGIS crashes when testing a wrong expression

2017-04-27 02:18 AM - Harrissou Santanna

Status: Closed

Priority: High

Assignee: Sandro Santilli

Category: Vectors

Affected QGIS version:master Regression?: Yes

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:No Copied to github as #: 24382

Description

(trying the new report system)

User Feedback=============

I open the Add virtual layer dialog and click on the Test button (I know, it's weird to not have written an expression). And Boum! QGIS

crashes.

I think it should not. Doing the same thing in 2.18 returns a "Malformed URL" message which is a better way to handle such error.

Report Details==============

Crash ID: ac24918ac24cafc2fa6aa21fbcfe0e515c099996

Stack Trace===========

((unknown module)) isProvider (unknown file):(unknown line)

((unknown module)) isProvider (unknown file):(unknown line)

((unknown module)) isProvider (unknown file):(unknown line)

((unknown module)) isProvider (unknown file):(unknown line)

(Qt5Core) QMetaObject::activate (unknown file):(unknown line)

(Qt5Widgets) QAbstractButton::clicked (unknown file):(unknown line)

(Qt5Widgets) QAbstractButton::click (unknown file):(unknown line)

(Qt5Widgets) QAbstractButton::mouseReleaseEvent (unknown file):(unknown line)

(Qt5Widgets) QWidget::event (unknown file):(unknown line)

(Qt5Widgets) QApplicationPrivate::notify_helper (unknown file):(unknown line)

(Qt5Widgets) QApplication::notify (unknown file):(unknown line)

((unknown module)) QgsSvgCache::statusChanged (unknown file):(unknown line)

(Qt5Core) QCoreApplication::notifyInternal2 (unknown file):(unknown line)

(Qt5Widgets) QApplicationPrivate::sendMouseEvent (unknown file):(unknown line)

(Qt5Widgets) QSizePolicy::QSizePolicy (unknown file):(unknown line)

(Qt5Widgets) QSizePolicy::QSizePolicy (unknown file):(unknown line)

(Qt5Widgets) QApplicationPrivate::notify_helper (unknown file):(unknown line)

(Qt5Widgets) QApplication::notify (unknown file):(unknown line)

((unknown module)) QgsSvgCache::statusChanged (unknown file):(unknown line)

(Qt5Core) QCoreApplication::notifyInternal2 (unknown file):(unknown line)

((unknown module)) QGuiApplicationPrivate::processMouseEvent (unknown file):(unknown line)

((unknown module)) QWindowSystemInterface::sendWindowSystemEvents (unknown file):(unknown line)

(Qt5Core) QEventDispatcherWin32::processEvents (unknown file):(unknown line)

((unknown module)) CallWindowProcW (unknown file):(unknown line)

((unknown module)) DispatchMessageW (unknown file):(unknown line)

(Qt5Core) QEventDispatcherWin32::processEvents (unknown file):(unknown line)

((unknown module)) qt_plugin_query_metadata (unknown file):(unknown line)

(Qt5Core) QEventLoop::exec (unknown file):(unknown line)
(Qt5Widgets) QDialog::exec (unknown file):(unknown line)

((unknown module)) QgisApp::newMapCanvas (unknown file):(unknown line)

((unknown module)) QgisApp::newMapCanvas (unknown file):(unknown line)

((unknown module)) QgisApp::newMapCanvas (unknown file):(unknown line)

((unknown module)) QgisApp::newMapCanvas (unknown file):(unknown line)

(Qt5Core) QMetaObject::activate (unknown file):(unknown line)

(Qt5Widgets) QAction::activate (unknown file):(unknown line)

(Qt5Widgets) QMenu::actionGeometry (unknown file):(unknown line)

(Qt5Widgets) QMenu::actionGeometry (unknown file):(unknown line)

(Qt5Widgets) QMenu::mouseReleaseEvent (unknown file):(unknown line)

(Qt5Widgets) QWidget::event (unknown file):(unknown line)

(Qt5Widgets) QMenu::event (unknown file):(unknown line)

(Qt5Widgets) QApplicationPrivate::notify_helper (unknown file):(unknown line)

(Qt5Widgets) QApplication::notify (unknown file):(unknown line)

((unknown module)) QgsSvgCache::statusChanged (unknown file):(unknown line)

(Qt5Core) QCoreApplication::notifyInternal2 (unknown file):(unknown line)

(Qt5Widgets) QApplicationPrivate::sendMouseEvent (unknown file):(unknown line)

(Qt5Widgets) QSizePolicy::QSizePolicy (unknown file):(unknown line)

(Qt5Widgets) QSizePolicy::QSizePolicy (unknown file):(unknown line)

(Qt5Widgets) QApplicationPrivate::notify_helper (unknown file):(unknown line)

(Qt5Widgets) QApplication::notify (unknown file):(unknown line)

((unknown module)) QgsSvgCache::statusChanged (unknown file):(unknown line)

(Qt5Core) QCoreApplication::notifyInternal2 (unknown file):(unknown line)

((unknown module)) QGuiApplicationPrivate::processMouseEvent (unknown file):(unknown line)

((unknown module)) QWindowSystemInterface::sendWindowSystemEvents (unknown file):(unknown line)

(Qt5Core) QEventDispatcherWin32::processEvents (unknown file):(unknown line)

((unknown module)) CallWindowProcW (unknown file):(unknown line)

((unknown module)) DispatchMessageW (unknown file):(unknown line)

(Qt5Core) QEventDispatcherWin32::processEvents (unknown file):(unknown line)

((unknown module)) qt_plugin_query_metadata (unknown file):(unknown line)

(Qt5Core) QEventLoop::exec (unknown file):(unknown line)

(Qt5Core) QCoreApplication::exec (unknown file):(unknown line)

((unknown module)) QgisApp::newMapCanvas (unknown file):(unknown line)

((unknown module)) BaseThreadInitThunk (unknown file):(unknown line)

((unknown module)) RtlUserThreadStart (unknown file):(unknown line)

Plugins=======

Project Info============

QGIS Info=========

QGIS Version: 2.99.0-Master

QGIS code revision: f1d4ac3

Compiled against Qt: 5.7.1

Running against Qt: 5.7.1

Compiled against GDAL: 2.1.3

Running against GDAL: 2.1.3

System Info===========

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.14393
History

#1 - 2017-04-29 01:07 AM - Giovanni Manghi

- Category set to Vectors

#2 - 2017-04-30 06:47 AM - Nathan Woodrow

- Description updated

Seems I also need to fix up the symbols laoding path for osgeo4w so that we get symbols on the crash correctly loaded.

#3 - 2017-04-30 05:08 PM - Giovanni Manghi

- Regression? set to Yes

#4 - 2017-04-30 05:09 PM - Giovanni Manghi

- Priority changed from Severe/Regression to High

#5 - 2017-05-01 01:10 AM - Giovanni Manghi

- Easy fix? set to No

#6 - 2017-12-05 04:49 PM - Sandro Santilli

- Status changed from Open to Feedback

- Resolution set to worksforme

I cannot reproduce with 0f1f14a174 (pre-3.0.0).

Hitting the "Test" button with an empty query text does nothing.

Hitting it with some spaces results in an popup complaining about syntax error.

#7 - 2017-12-05 04:49 PM - Sandro Santilli

- Assignee set to Sandro Santilli

#8 - 2017-12-05 05:07 PM - Harrissou Santanna

- Status changed from Feedback to Closed

I think this has been duplicated by #17489 (both reported by me, Sorry :( ) fixed by alessandro.

So closing.

Thanks for giving it a look, Sandro.

#9 - 2017-12-05 07:50 PM - Giovanni Manghi

- Resolution changed from worksforme to duplicate
